%define name beagle
%define version 0.2.18
%define release %mkrel 8
%define build_epiphany 1
%define build_evolution 1
%{?_with_epiphany: %{expand: %%global build_epiphany 1}}
%{?_without_epiphany: %{expand: %%global build_epiphany 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}
%{?_without_evolution: %{expand: %%global build_evolution 0}}
%define epiver 2.20
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define __find_requires %_builddir/%buildsubdir/find-requires
%define __find_provides %_builddir/%buildsubdir/find-provides

Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
# gw: http://qa.mandriva.com/show_bug.cgi?id=32981
# remove this once it was merged upstream
Source1: nl.po
# gw exclude ~/tmp from indexing
Patch: beagle-3903-exclude-tmp.patch
Patch1: beagle-0.2.15.1-crawl-config.patch
Patch2: http://primates.ximian.com/~joe/beagle-log-level-warn.patch
Patch3: beagle-0.2.17-epiphany-version.patch
# (fc) 0.2.16.3-1mdv disable ionice usage until capabilities can be added to beagleindex group
Patch4: beagle-0.2.16.3-ionice.patch
# patches from gnome svn
Patch5: beagle-3931-dont-index-when-on-battery.patch
Patch6: banshee-3929-fix-docfilter-leak.patch
#gw fix upstream bug #393456
Patch7: beagle-3925-check-prefixes-when-adding-paths.patch
# (fc) 0.2.18-6mdv fix crash in xdg mime cache (fd.o bug #12512) (SVN)
Patch8: beagle-0.2.18-xdgcachecrash.patch
#gw from svn: fix LD_LIBRARY_PATH in wrappers (bug #35388)
Patch9: beagle-4065-fix-ld-library-path-in-wrapper.patch
License: MIT/Apache License
Group: Graphical desktop/GNOME
Url: http://beagle-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-data-sqlite
BuildRequires: mono-devel >= 1.1.13.5
BuildRequires: sqlite3-devel
BuildRequires: gnome-sharp2
BuildRequires: gmime-sharp >= 2.1.19
BuildRequires: gsf-sharp >= 0.5
BuildRequires: galago-sharp
BuildRequires: libexif-devel
BuildRequires: libchm-devel
BuildRequires: gtk+2-devel
BuildRequires: librsvg-devel
BuildRequires: wv-devel
BuildRequires: kdelibs-common
BuildRequires: libxscrnsaver-devel
BuildRequires: libsm-devel
BuildRequires: pygtk2.0-devel
BuildRequires: zip
BuildRequires: gtk-doc
BuildRequires: ImageMagick
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: intltool
# gw for xdg-open
BuildRequires: xdg-utils
Requires: xdg-utils
Requires: poppler
#gw for inotify >= 0.24
Requires: kernel >= 2.6.12
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: %mklibname exif 12
Requires: %mklibname chm 0

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%package gui
Summary: Beagle search system graphical user interface
Group: Graphical desktop/GNOME
Requires: %name = %version
Obsoletes: %{name} < 0.2.15.1

%description gui
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

This is the GNOME graphical user interface of the Beagle search system.

%if %build_epiphany
%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany >= %epiver
BuildRequires: epiphany-devel
Requires: %name = %version
%define _requires_exceptions mono.Beagle.*\\|mono.Util

%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

NOTE: The Beagle Epiphany Extension Is Totally Insecure! Use it at
your own risk!
%endif

%if %build_evolution
%package evolution
Summary: Beagle indexing plugin for the Evolution Mail client
Group: Graphical desktop/GNOME
BuildRequires: evolution-sharp >= 0.9
Requires: %name = %version
%description evolution
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your Evolution Mail folders
and address book.
%endif

%package -n %libname
Group: System/Libraries
Summary: Shared library of beagle
%description -n %libname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n %develname
Group: Development/C
Summary: Development library of beagle
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Obsoletes: %mklibname -d %name 0

%description -n %develname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n python-beagle
Group: Development/Python
Summary: Python module for writing Beagle extensions
Requires: %name = %version
Requires: pygtk2.0
%description -n python-beagle
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this for python extensions to Beagle.

%package crawl-system
Group: System/Servers
Summary: GNOME indexing subsystem for system files
Requires: %name = %version
Requires(pre):  rpm-helper
#gw for ionice
#Requires: schedutils

%description crawl-system
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this to automatically index your system files.

%prep
%setup -q 
cp %SOURCE1  po/nl.po
%patch  -p2
%patch1 -p1 -b .crawl-config
%patch2 -p0 -b .spew
%patch3 -p1 -b .epiver
%patch4 -p1 -b .ionice
%patch5 -p2
%patch6 -p2
%patch7 -p2
%patch8 -p1 -b .xdgcachecrash
%patch9 -p2
intltoolize --force
aclocal
autoconf
automake

#gw hack to set MONO_PATH for mono-find-*
cat > find-requires << EOF
#!/bin/sh
MONO_PATH=%buildroot%_libdir/%name /usr/lib/rpm/mandriva/find-requires %buildroot %_target_cpu
EOF
cat > find-provides << EOF
#!/bin/sh
MONO_PATH=%buildroot%_libdir/%name /usr/lib/rpm/mandriva/find-provides %buildroot %_target_cpu
EOF
chmod +x find-requires find-provides


%build
%configure2_5x --enable-sqlite3 --enable-gtk-doc \
%if %build_epiphany
--enable-epiphany-extension --enable-epiphany-extension-install \
%endif
%if !%build_evolution
--disable-evolution-sharp
%endif

#gw parallel build broken
# (tpg) use hack for parallel build
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std

rm -f %buildroot%_libdir/epiphany/*/extensions/libbeagleextension*a \
      %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/%name/*a %buildroot%_libdir/python%pyver/site-packages/*a


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/beagle-search.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="DesktopSettings;GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/beagle-settings.desktop


mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 images/system-search.png %buildroot%_liconsdir/system-search.png
convert -scale 32 images/system-search.png %buildroot%_iconsdir/system-search.png
convert -scale 16 images/system-search.png %buildroot%_miconsdir/system-search.png

#gw TODO: install the mozilla extension
install -m 644 mozilla-extension/beagle.xpi %buildroot%_libdir/beagle/

# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%find_lang %name

mkdir -p %buildroot%_var/cache/beagle/indexes

%post gui
%update_menus

%postun gui
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%pre crawl-system
%_pre_useradd beagleindex %_var/cache/beagle /bin/sh

%postun crawl-system
%_postun_userdel beagleindex

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS ChangeLog 
%config(noreplace) %_sysconfdir/xdg/autostart/beagled-autostart.desktop
%_bindir/beagle-config
%_bindir/beagle-doc-extractor
%_bindir/beagle-extract-content
%_bindir/beagle-exercise-file-system
%_bindir/beagle-index-info
%_bindir/beagle-index-url
%_bindir/beagle-info
%_bindir/beagle-ping
%_bindir/beagle-query
%_bindir/beagle-shutdown
%_bindir/beagle-status
%_bindir/beagled
%_sbindir/beagle-build-index
%_sbindir/beagle-dump-index
%_sbindir/beagle-manage-index
%dir %_libdir/%name
%dir %_libdir/%name/Backends/
%_libdir/%name/Beagle.dll*
%_libdir/%name/BeagleDaemon*
%_libdir/%name/BuildIndex.exe*
%_libdir/%name/Config.exe*
%_libdir/%name/DocExtractor.exe*
%_libdir/%name/DumpIndex.exe*
%_libdir/%name/ExerciseFileSystem.exe*
%_libdir/%name/ExtractContent.exe*
%_libdir/%name/IndexHelper.exe*
%_libdir/%name/IndexWebContent.exe*
%_libdir/%name/Info.exe*
%_libdir/%name/ManageIndex.exe*
%_libdir/%name/Query.exe*
%_libdir/%name/Shutdown.exe*
%_libdir/%name/Util.dll*
%_libdir/%name/Filters/
%_libdir/%name/beagle*
%_libdir/%name/libbeagleglue.so*
%_libdir/pkgconfig/beagle-0*.pc
%_libdir/pkgconfig/beagle-daemon.pc
%_mandir/man1/*
%_datadir/beagle/
%_mandir/man8/beagle-build-index.8*
%_mandir/man8/beagle-manage-index.8*

%files gui
%defattr(-,root,root)
%doc README
%config(noreplace) %_sysconfdir/xdg/autostart/beagle-search-autostart.desktop
%_bindir/beagle-imlogviewer
%_bindir/beagle-search
%_bindir/beagle-settings
%_datadir/applications/beagle-search.desktop
%_datadir/applications/beagle-settings.desktop
%_datadir/pixmaps/*
%_libdir/%name/ImLogViewer.exe*
%_libdir/%name/Images.dll*
%_libdir/%name/Search.exe*
%_libdir/%name/Settings.exe*
%_libdir/%name/UiUtil.dll*
%_libdir/%name/libbeagleuiglue.so*
%_libdir/pkgconfig/beagle-ui*.pc
%_liconsdir/system-search.png
%_iconsdir/system-search.png
%_miconsdir/system-search.png

%files crawl-system
%defattr(-,root,root)
%dir %_sysconfdir/beagle
%config(noreplace) %_sysconfdir/beagle/*
%config(noreplace) %_sysconfdir/cron.daily/beagle-crawl-system
%attr(755,beagleindex,root) %_var/cache/beagle

%if %build_epiphany
%files epiphany
%defattr(-,root,root)
%doc epiphany-extension/README
%_libdir/epiphany/%epiver/extensions/*
%endif

%if %build_evolution
%files evolution
%defattr(-,root,root)
%doc README
%_libdir/%name/Backends/EvolutionBackends.dll*
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_includedir/libbeagle/
%_libdir/pkgconfig/libbeagle*.pc
%_datadir/gtk-doc/html/beagle/

%files -n python-beagle
%defattr(-,root,root)
%py_platsitedir/*beagle*


%changelog
* Wed Nov 07 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-8mdv2008.1
+ Revision: 106784
- fix command line tools (bug #35388)

* Thu Sep 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.18-7mdv2008.0
+ Revision: 93246
- Remove System category on search .desktop, Beagle should in be Tools, not SystemTools

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.18-6mdv2008.0
+ Revision: 92485
- Update patch3 for Epiphany 2.20
- Patch8 (SVN): fix crash in xdg mime cache (fd.o bug #12512)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-5mdv2008.0
+ Revision: 89010
- more bugfixes from gnome svn

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-4mdv2008.0
+ Revision: 88955
- update nl.po
- patch to disable indexing by default when on battery (bug #33654)

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.2.18-3mdv2008.0
+ Revision: 88624
- drop old menu

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-2mdv2008.0
+ Revision: 75178
- update nl translation (bug #32981)

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-1mdv2008.0
+ Revision: 72371
- new version
- patch to exclude ~/tmp from indexing
- fix build

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.17-2mdv2008.0
+ Revision: 38869
- rework patch 3
- rebuild for expat

* Wed May 09 2007 Götz Waschk <waschk@mandriva.org> 0.2.17-1mdv2008.0
+ Revision: 25405
- new version
- drop patches 5,6

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.3-4mdv2008.0
+ Revision: 16181
- use poppler instead of xpdf-utils


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-4mdv2007.1
+ Revision: 150103
- Patch6 (SVN): prevent infinite loop when parsing some OOo documents
- Update patch5: one wrapper was still using --debug
- Force sqlite 3 usage (better performance)

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-3mdv2007.1
+ Revision: 149267
- Patch5 (SVN): don't start mono in debug mode, use less memory

* Mon Mar 26 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.3-2mdv2007.1
+ Revision: 148773
- fix bug #29903 (missing dep on evolution-sharp

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-1mdv2007.1
+ Revision: 144798
- Update paths in patch1
- Patch4: disable ionice usage, since it relies on SUSE specific patch on it
- use correct README for epiphany subpackage

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - depend on xdg-utils

* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.2-3mdv2007.1
+ Revision: 143566
- Add versioned conflict to upgrade from 2007.0

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.2-2mdv2007.1
+ Revision: 142048
- really fix epiphany build
- build with epiphany 2.18

* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.2-1mdv2007.1
+ Revision: 124751
- new version
- drop patch 4
- add dep on gsf-sharp

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.2.16-1mdv2007.1
+ Revision: 117259
- new version
- fix build

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-3mdv2007.1
+ Revision: 116346
- reenable galago

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-2mdv2007.1
+ Revision: 115116
- rebuild for new libwv

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-1mdv2007.1
+ Revision: 113610
- new version
- update patch 1
- drop broken Thunderbird backend
- update file list

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.2.14-2mdv2007.1
+ Revision: 97260
- split out GNOME gui parts to a subpackage

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.2.14-1mdv2007.1
+ Revision: 97173
- new version
- use included autostart desktop entries

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.2.13-4mdv2007.1
+ Revision: 88294
- support epiphany 2.17
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.13-3mdv2007.1
+ Revision: 86056
- bot rebuild
- bot rebuild
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better URL

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.2.12-2mdv2007.1
+ Revision: 75121
- fix buildrequires

* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.2.12-1mdv2007.1
+ Revision: 75082
- new version

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 0.2.11-1mdv2007.1
+ Revision: 71171
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.2.10-3mdv2007.1
+ Revision: 63783
- rebuild
- unpack patches
- Import beagle

* Wed Sep 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.10-1mdv2007.0
- drop patches 4,5,6
- New version 0.2.10

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-3mdv2007.0
- cvs fixes

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-2mdv2007.0
- new epiphany

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.9-1mdv2007.0
- Release 0.2.9
- Remove patch 5, merged upstream

* Fri Aug 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-4mdv2007.0
- Fix group

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-3mdv2007.0
- Update patch5 with libchm soname

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-2mdv2007.0
- Patch5: fix imported libraries soname
- remove source1 : not longer needed, no longer ship our own dll config file

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8-1mdv2007.0
- add thunderbird backend
- drop patches 0,3
- bump deps
- New release 0.2.8

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-5mdv2007.0
- fix build with new mono

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-4mdv2007.0
- fix subpackage deps
- don't depend  on schedutils

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-3mdv2007.0
- make crawl-system depend on schedutils for ionice
- drop patch 3

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-2mdv2007.0
- xdg menu

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-1mdv2007.0
- rediff patch 1
- New release 0.2.7

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-5mdv2007.0
- epiphany 2.15

* Fri May 26 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-4mdv2007.0
- replace patch2 by a better one

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-3mdk
- add thunderbird patch

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-2mdk
- build fix for x86_64

* Mon May 01 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-1mdk
- update patch 1
- New release 0.2.6

* Sun Apr 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-2mdk
- reduce debug output
- disable galago

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-1mdk
- update file list
- drop patch 0
- update patch 1
- New release 0.2.5

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-5mdk
- depend on xpdf-tools

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-4mdk
- rebuild for new epiphany

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-3mdk
- rebuild for new gmime

* Sat Apr 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-2mdk
- add GNOME autostart files

* Sun Apr 09 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- update file list
- add patch 0 to make it build
- rediff the patch
- New release 0.2.4

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-3mdk
- update patch to fix the system index dir (bug 21680)

* Sat Mar 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- fix icon in the menu (J.A. Magallon)

* Fri Mar 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- drop merged patch 0
- New release 0.2.3

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-5mdk
- fix python path on x86_64

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-4mdk
- remove nologin, else beagle-crawl-system won't start
- fix patch for beagle-crawl-system

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-3mdk
- fix crawler configuration
- more crontab fixes
- add crawl package

* Sat Mar 11 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-2mdk
- move cronab to the right dir
- remove warning from beagle-crawl-system

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.2.1-1mdk
- New release 0.2.2.1

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- update file list
- New release 0.2.2

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- update file list
- New release 0.2.1

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-5mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-3mdk
- rebuild for new dbus-sharp

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- really fix menu entry

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- split out evolution backend
- drop firefox deps
- bump deps
- New release 0.2.0

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-3mdk
- reenable epiphany

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-2mdk
- disable epiphany
- rebuild for new mozilla-firefox

* Wed Dec 21 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- patch for new mono
- New release 0.1.4

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-3mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdk
- rebuild for new mono
- use mkrel

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- add python module
- update buildrequires
- update the patch
- New release 0.1.3

* Fri Nov 11 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- enable gtk-doc
- build with new wv
- New release 0.1.2

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- rebuild for new mono

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- rebuild for new firefox

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- New release 0.1.1
- update file list
- bump deps
- drop patches 4,5,6

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-5mdk 
- Patch6 (CVS): fix GAIM log indexing
- Disable all references to mdnsresponder, it is no longer used
  by beagle

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-4mdk 
- Patch5 (CVS): support for inotify 0.24

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-3mdk
- rebuild for new firefox

* Fri Jul 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-2mdk
- enable web services
- fix deps

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-1mdk
- add libbeagle package
- enable galago
- bump deps
- New release 0.0.12

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-2mdk
- add dep on libchm
- update dll config

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-1mdk
- drop patch 0
- New release 0.0.11.1

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11-1mdk
- update buildrequires
- patch to add missing source file
- drop patch 5
- New release 0.0.11

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-2mdk
- rebuild for new wv

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-1mdk
- reenable epiphany extension
- drop patches 2,3
- drop dbus dep
- New release 0.0.10

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-7mdk
- rebuild for new firefox

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-6mdk
- disable web service

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-5mdk
- disable broken aot
- fix buildrequires

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-4mdk
- enable web service

* Sun May 01 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-3mdk
- fix beagled script

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-2mdk
- fix buildrequires

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- add locale files
- aot compile the executables
- requires new kernel, but you really need kernel-multimedia!
- drop patch 0
- New release 0.0.9

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-8mdk
- rebuild for new dbus-sharp

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-7mdk
- disable the epiphany support

* Fri Apr 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-6mdk
- enable the mdnsresponder support

* Sat Apr 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-5mdk
- fix application init
- reenable epiphany plugin

* Fri Apr 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-4mdk
- fix buildrequires

* Fri Apr 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-3mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-2mdk
- enable network
- requires dbus-x11 (fixes bug #14997)
- fix buildrequires

* Mon Mar 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-1mdk
- update file list
- New release 0.0.8.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.7-2mdk
- I don't like bad program with requires specific FF version... (fix upgrade from MDK 10.1)

* Thu Mar 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- update firefox dependancy
- update file list
- new version

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.6.1-3mdk
- rebuild for new dbus-sharp

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-2mdk
- build with firefox

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-1mdk
- disable gst-sharp
- requires new dbus-sharp and gmime-sharp
- New release 0.0.6.1

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- fix buildrequires

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update the dll configuration
- New release 0.0.5

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-5mdk
- fix a debug message
- fix the menu entry
- fix some DllImports

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-4mdk
- add the mozilla extension
- fix buildrequires

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-3mdk
- fix buildrequires

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- fix buildrequires

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- disable epiphany extension
- add the new deps
- New release 0.0.4

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package

